Loading...
Searching...
No Matches
protozero::const_svarint_iterator< T > Class Template Reference

`#include <iterators.hpp>`

Inheritance diagram for protozero::const_svarint_iterator< T >:
[legend]
Collaboration diagram for protozero::const_svarint_iterator< T >:
[legend]

## Additional Inherited Members

Protected Attributes inherited from protozero::const_varint_iterator< T >
const char * | m_data = nullptr
| Pointer to current iterator position.
const char * | m_end = nullptr
| Pointer to end iterator position.

## Detailed Description

template<typename T>
class protozero::const_svarint_iterator< T >

A forward iterator used for accessing packed repeated svarint fields (sint32, sint64).

The documentation for this class was generated from the following file:

- include/protozero/iterators.hpp